### Option: CacheSize
#	Size of configuration cache, in bytes.
#	Shared memory size for storing host, item and trigger data.
#
# Mandatory: no
# Range: 128K-64G
# Default:
# CacheSize=32M

CacheSize=${ZBX_CACHESIZE}

### Option: CacheUpdateFrequency
#	How often Zabbix will perform update of configuration cache, in seconds.
#
# Mandatory: no
# Range: 1-3600
# Default:
# CacheUpdateFrequency=10

CacheUpdateFrequency=${ZBX_CACHEUPDATEFREQUENCY}

### Option: HistoryCacheSize
#	Size of history cache, in bytes.
#	Shared memory size for storing history data.
#
# Mandatory: no
# Range: 128K-2G
# Default:
# HistoryCacheSize=16M

HistoryCacheSize=${ZBX_HISTORYCACHESIZE}

### Option: HistoryIndexCacheSize
#	Size of history index cache, in bytes.
#	Shared memory size for indexing history cache.
#
# Mandatory: no
# Range: 128K-2G
# Default:
# HistoryIndexCacheSize=4M

HistoryIndexCacheSize=${ZBX_HISTORYINDEXCACHESIZE}

### Option: TrendCacheSize
#	Size of trend write cache, in bytes.
#	Shared memory size for storing trends data.
#
# Mandatory: no
# Range: 128K-2G
# Default:
# TrendCacheSize=4M

TrendCacheSize=${ZBX_TRENDCACHESIZE}

### Option: TrendFunctionCacheSize
#	Size of trend function cache, in bytes.
#	Shared memory size for caching calculated trend function data.
#
# Mandatory: no
# Range: 128K-2G
# Default:
# TrendFunctionCacheSize=4M

TrendFunctionCacheSize=${ZBX_TRENDFUNCTIONCACHESIZE}

### Option: ValueCacheSize
#	Size of history value cache, in bytes.
#	Shared memory size for caching item history data requests.
#	Setting to 0 disables value cache.
#
# Mandatory: no
# Range: 0,128K-64G
# Default:
# ValueCacheSize=8M

ValueCacheSize=${ZBX_VALUECACHESIZE}
